// Zum Speichern der Gitter-Koordinaten
class Coordinate
{
  public int x, y;

  public Coordinate()
  {
    x = y = 0;
  }

  public Coordinate(int x, int y)
  {
    this.x = x;
    this.y = y;
  }

  public Coordinate(Coordinate c)
  {
    x = c.x;
    y = c.y;
  }

  public String toString()
  {
    return "(" + x + "," + y + ")";
  }
}
